%define	rname	libedit
%define	version	2.9
%define	release	0.20040908.2mdk

%define	micro	0
%define	major	2
%define	minor	9
%define libname	%mklibname edit %{micro}

Summary:	The NetBSD Editline library (libedit)
Name:		%{libname}
Version:	%{version}
Release:	%{release}
URL:		http://www.thrysoee.dk/editline/
License:	BSD
Source0:	%{rname}-20040908-%{version}.tar.bz2
Patch0:		libedit-20040908-2.9-version-info.diff.bz2
Group:		System/Libraries
BuildRequires:	autoconf2.5
BuildRequires:	automake1.8
BuildRequires:	gpm-devel
BuildRequires:	ncurses-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
This is an autotool- and libtoolized port of the NetBSD Editline
library (libedit). This Berkeley-style licensed command line
editor library provides generic line editing, history, and
tokenization functions, similar to those found in GNU Readline.

%package	devel
Summary:	Development files for %{rname}
Group:		Development/C
Obsoletes:	edit-devel %{rname}-devel
Provides:	edit-devel %{rname}-devel
Requires:	%{name} = %{version}-%{release}
Requires:	gpm-devel
Requires:	ncurses-devel

%description	devel
This is an autotool- and libtoolized port of the NetBSD Editline
library (libedit). This Berkeley-style licensed command line
editor library provides generic line editing, history, and
tokenization functions, similar to those found in GNU Readline.

This package contains development files for %{rname}.

%prep

%setup -q -n %{rname}-20040908-%{version}
%patch0 -p1 -b .version-info

%build
export WANT_AUTOCONF_2_5=1
touch ./mkinstalldirs
libtoolize --copy --force && aclocal-1.8 && autoconf && automake-1.8 --foreign

%configure2_5x

# fix soname, ugly stuff. needs the touch of a libtool wizard...
find -type f -name "Makefile" | xargs perl -pi -e "s|^LT_VERSION.*|LT_VERSION=%{major}:%{minor}:%{major}|g" 

make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

# fix one conflicting manpage with readline-devel
rm -f %{buildroot}%{_mandir}/man3/history.3
ln -s editline.3 %{buildroot}%{_mandir}/man3/%{rname}-history.3

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog INSTALL THANKS
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%doc examples/*.c
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_mandir}/man3/*
%{_mandir}/man5/*
      
%changelog
* Fri Sep 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.9-0.20040908.2mdk
- fix funny naming

* Fri Sep 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.9-0.20040908.1mdk
- hack the soname

* Fri Sep 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.9-0.20040908.3mdk
- fix one conflicting manpage with readline-devel

* Fri Sep 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.9-0.20040908.2mdk
- make it compile on 10.0 too

* Fri Sep 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.9-0.20040908.1mdk
- initial mandrake package
